# gcu::CrystalBond Class Reference

`#include <gcu/crystalbond.h>`

Inheritance diagram for gcu::CrystalBond:

List of all members.

## Public Member Functions

virtual void | Move (double x, double y, double z)
virtual bool | Load (xmlNodePtr node)

## Detailed Description

This class will be used to represent bonds inside crystals. It is not implemented yet.

Definition at line 38 of file crystalbond.h.

## Member Function Documentation

virtual void gcu::CrystalBond::Move | ( | double | x,
|  | double | y,
|  | double | z |
| ) |  |  | `[virtual]`

Parameters:

  | x | the x component of the transation vector.
  | y | the y component of the transation vector.
  | z | the z component of the transation vector.

Does nothing. Just a slight optimization to avoid execution of Object::Move

Reimplemented from gcu::Bond.

virtual bool gcu::CrystalBond::Load | ( | xmlNodePtr | node | ) | `[virtual]`

Parameters:

  | node | a pointer to the xmlNode containing the serialized Bond.

Loads a bond from an xmlNode.

Reimplemented from gcu::Bond.

The documentation for this class was generated from the following file:

- crystalbond.h